/*
  Licensed under the GNU Public License.
  Copyright (C) 1998-99 by Thomas M. Vier, Jr. All Rights Reserved.

  wipe is free software.
  See LICENSE for more information.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* typedef stuff */

#ifdef HAVE_ASM_TYPES_H
# include <asm/types.h>
#else /* assume 32-bit architecture */
typedef unsigned char __u8;
typedef unsigned short __u16;
typedef unsigned int __u32;
typedef unsigned long long __u64;
#endif

#undef WORD
#define WORD __u32
#ifdef __alpha__
# undef WORD
# define WORD __u64
#endif

#ifdef __sparc64__
# undef WORD
# define WORD __u64
#endif

#ifdef __powerpc64__
# undef WORD
# define WORD __u64
#endif

#ifdef __mips64__
# undef WORD
# define WORD __u64
#endif

#if WORD == __u32
# define WORD_MAX (1 << 32 - 1)
#elif WORD == __u64
# define WORD_MAX (1 << 64 - 1)
#endif

typedef WORD word;
